package com.tax.file.mapper;

import com.tax.file.model.FileToken;
import com.tax.file.model.FileTokenExample;
import com.yxcheng.token.common.service.BaseMapper;

import java.util.List;
import java.util.Map;

public interface FileTokenMapper extends BaseMapper<FileTokenExample,FileToken> {
    List<FileToken> findWaitTokenList();
    void updateToken(FileToken fileToken);
    void updateTokenStatus(FileToken fileToken);
    List<Map<String, Object>> queryNotifyToken();
}